## merkuro 25.07.80

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "07")
set(RELEASE_SERVICE_VERSION_MICRO "80")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(merkuro VERSION ${RELEASE_SERVICE_VERSION})

set(QT_REQUIRED_VERSION "6.8.0")
set(KF_MIN_VERSION "6.14.0")

set(AKONADI_CONTACT_VERSION "6.4.80")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.4.80")
set(MAILTRANSPORT_LIB_VERSION "6.4.80")
set(CALENDARUTILS_LIB_VERSION "6.4.80")
set(AKONADICALENDAR_LIB_VERSION "6.4.80")
set(AKONADISEARCH_LIB_VERSION "6.4.80")
set(KMIME_LIB_VERSION "6.4.80")
set(AKONADI_LIB_VERSION "6.4.80")
set(MIMETREEPARSER_LIB_VERSION "6.4.80")
set(MAILCOMMON_LIB_VERSION "6.4.80")
set(AKONADIMIME_LIB_VERSION "6.4.80")
set(AKONADICONTACT_LIB_VERSION "6.4.80")
set(KMIME_LIB_VERSION "6.4.80")
set(MESSAGECOMPOSER_LIB_VERSION "6.4.80")
set(KMBOX_LIB_VERSION "6.4.80")
set(LIBKDEPIM_LIB_VERSION "6.4.80")
set(PIMCOMMON_LIB_VERSION "6.4.80")
set(KPIM_LIBKLEO_VERSION "6.4.80")


################# set KDE specific information #################
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${ECM_MODULE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)
include(KDEClangFormat)

include(ECMAddTests)
include(ECMCoverageOption)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateExportHeader)
include(ECMPoQmTools)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMGenerateQmlTypes)
include(ECMQmlModule)
include(ECMInstallIcons)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX MERKURO
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/config-merkuro.h"
)

################# Find dependencies #################
find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS
    Core
    DBus
    Gui
    Svg
    Test
    Qml
    QuickControls2
    QuickTest
    Location
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CalendarCore
    ConfigWidgets
    Contacts
    CoreAddons
    DBusAddons
    I18n
    IconThemes
    ItemModels
    Kirigami
    KIO
    QQC2DesktopStyle
    WindowSystem
    XmlGui
    Notifications
    Crash
)
find_package(KF6KirigamiAddons 1.4.0 REQUIRED)
set_package_properties(KF6QQC2DesktopStyle PROPERTIES
    TYPE RUNTIME
)

find_package(KPim6Libkleo ${KPIM_LIBKLEO_VERSION} CONFIG)
set_package_properties(KPim6Libkleo PROPERTIES
    DESCRIPTION "LibKleo Library"
    URL "https://invent.kde.org/pim/libkleo/"
    TYPE REQUIRED
)

find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG)
set_package_properties(Gpgmepp PROPERTIES
    DESCRIPTION "GpgME++ Library"
    URL "https://www.gnupg.org"
    TYPE REQUIRED
    PURPOSE "GpgME++ is required for OpenPGP support"
)

find_package(KPim6MessageComposer ${MESSAGECOMPOSER_LIB_VERSION} REQUIRED)
find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} REQUIRED)
find_package(KPim6AkonadiContactCore ${AKONADI_CONTACT_VERSION} REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} REQUIRED)
find_package(KPim6AkonadiSearch ${AKONADISEARCH_LIB_VERSION} REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} REQUIRED)
find_package(KPim6IdentityManagementQuick ${IDENTITYMANAGEMENT_LIB_VERSION} REQUIRED)
find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} REQUIRED)
find_package(KPim6MailTransport ${MAILTRANSPORT_LIB_VERSION} REQUIRED)
find_package(KPim6MimeTreeParserCore ${MIMETREEPARSER_LIB_VERSION} REQUIRED)
find_package(KPim6Mbox ${KMBOX_LIB_VERSION} REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6Holidays REQUIRED)

# qt_policy(SET QTP0004 NEW)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DUNITY_CMAKE_SUPPORT)
endif()

################# build and install #################

ki18n_install(po)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
add_definitions(-DQT_STRICT_ITERATORS)
add_subdirectory(src)
add_subdirectory(icons)

ecm_qt_install_logging_categories(
    EXPORT MERKURO
    FILE merkuro.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
merkuro (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update config files for qmldeps detection.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:45:22 +0100

=== debian/control ===
Source: merkuro
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               kirigami-addons-dev (>= 1.4.0~),
               libakonadi-dev (>= 4:25.07.80~),
               libakonadicalendar-dev (>= 4:25.07.80~),
               libakonadicontact-dev (>= 4:25.07.80~),
               libakonadimime-dev (>= 4:25.07.80~),
               libakonadisearch-dev (>= 4:25.07.80~),
               libgpgme-dev,
               libgpgmepp-dev,
               libkcalendarutils-dev (>= 4:25.07.80~),
               libkdepim-dev (>= 4:25.07.80~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6qqc2desktopstyle-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.07.80~),
               libkirigami-dev (>= 6.6.0~),
               libkleo-dev (>= 4:25.07.80~),
               libkmailtransport-dev (>= 25.07.80~),
               libkmbox-dev (>= 25.07.80~),
               libkmime-dev (>= 25.07.80~),
               libmailcommon-dev (>= 4:25.07.80~),
               libmimetreeparser-dev (>= 25.07.80~),
               libpimcommon-dev (>= 4:25.07.80~),
               libplasma-dev,
               messagelib-dev (>= 4:25.07.80~),
               qml6-module-qtlocation,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
               qt6-location-dev,
               qt6-svg-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/merkuro
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/merkuro
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/merkuro
Rules-Requires-Root: no

Package: merkuro
Architecture: amd64 arm64 armhf i386
Depends: akonadi-server,
         kdepim-runtime,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: kalendarac,
Description: Application suite for emails, calendars, contacts and tasks
 Merkuro is a application suite designed to make handling your emails,
 calendars, contacts, and tasks simple. Merkuro handles local and remote
 accounts of your choice, keeping changes synchronised across your
 Plasma desktop or phone.

## merkuro 25.07.90

=== debian/changelog ===
merkuro (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:01:37 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
-               libakonadi-dev (>= 4:25.07.80~),
-               libakonadicalendar-dev (>= 4:25.07.80~),
-               libakonadicontact-dev (>= 4:25.07.80~),
-               libakonadimime-dev (>= 4:25.07.80~),
-               libakonadisearch-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
+               libakonadicalendar-dev (>= 4:25.07.90~),
+               libakonadicontact-dev (>= 4:25.07.90~),
+               libakonadimime-dev (>= 4:25.07.90~),
+               libakonadisearch-dev (>= 4:25.07.90~),
                libgpgme-dev,
                libgpgmepp-dev,
-               libkcalendarutils-dev (>= 4:25.07.80~),
-               libkdepim-dev (>= 4:25.07.80~),
+               libkcalendarutils-dev (>= 4:25.07.90~),
+               libkdepim-dev (>= 4:25.07.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -35,17 +35,17 @@
                libkf6qqc2desktopstyle-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.80~),
+               libkidentitymanagement-dev (>= 25.07.90~),
                libkirigami-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.07.80~),
-               libkmailtransport-dev (>= 25.07.80~),
-               libkmbox-dev (>= 25.07.80~),
-               libkmime-dev (>= 25.07.80~),
-               libmailcommon-dev (>= 4:25.07.80~),
-               libmimetreeparser-dev (>= 25.07.80~),
-               libpimcommon-dev (>= 4:25.07.80~),
+               libkleo-dev (>= 4:25.07.90~),
+               libkmailtransport-dev (>= 25.07.90~),
+               libkmbox-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.07.90~),
+               libmailcommon-dev (>= 4:25.07.90~),
+               libmimetreeparser-dev (>= 25.07.90~),
+               libpimcommon-dev (>= 4:25.07.90~),
                libplasma-dev,
-               messagelib-dev (>= 4:25.07.80~),
+               messagelib-dev (>= 4:25.07.90~),
                qml6-module-qtlocation,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),

## merkuro 25.08.0

=== debian/changelog ===
merkuro (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:00:05 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
-               libakonadi-dev (>= 4:25.07.90~),
-               libakonadicalendar-dev (>= 4:25.07.90~),
-               libakonadicontact-dev (>= 4:25.07.90~),
-               libakonadimime-dev (>= 4:25.07.90~),
-               libakonadisearch-dev (>= 4:25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
+               libakonadicalendar-dev (>= 4:25.08.0~),
+               libakonadicontact-dev (>= 4:25.08.0~),
+               libakonadimime-dev (>= 4:25.08.0~),
+               libakonadisearch-dev (>= 4:25.08.0~),
                libgpgme-dev,
                libgpgmepp-dev,
-               libkcalendarutils-dev (>= 4:25.07.90~),
-               libkdepim-dev (>= 4:25.07.90~),
+               libkcalendarutils-dev (>= 4:25.08.0~),
+               libkdepim-dev (>= 4:25.08.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -35,17 +35,17 @@
                libkf6qqc2desktopstyle-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.90~),
+               libkidentitymanagement-dev (>= 25.08.0~),
                libkirigami-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.07.90~),
-               libkmailtransport-dev (>= 25.07.90~),
-               libkmbox-dev (>= 25.07.90~),
-               libkmime-dev (>= 25.07.90~),
-               libmailcommon-dev (>= 4:25.07.90~),
-               libmimetreeparser-dev (>= 25.07.90~),
-               libpimcommon-dev (>= 4:25.07.90~),
+               libkleo-dev (>= 4:25.08.0~),
+               libkmailtransport-dev (>= 25.08.0~),
+               libkmbox-dev (>= 25.08.0~),
+               libkmime-dev (>= 25.08.0~),
+               libmailcommon-dev (>= 4:25.08.0~),
+               libmimetreeparser-dev (>= 25.08.0~),
+               libpimcommon-dev (>= 4:25.08.0~),
                libplasma-dev,
-               messagelib-dev (>= 4:25.07.90~),
+               messagelib-dev (>= 4:25.08.0~),
                qml6-module-qtlocation,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),

## merkuro 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(merkuro VERSION ${RELEASE_SERVICE_VERSION})
@@ -15,24 +15,24 @@
 set(QT_REQUIRED_VERSION "6.8.0")
 set(KF_MIN_VERSION "6.14.0")
 
-set(AKONADI_CONTACT_VERSION "6.4.80")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.4.80")
-set(MAILTRANSPORT_LIB_VERSION "6.4.80")
-set(CALENDARUTILS_LIB_VERSION "6.4.80")
-set(AKONADICALENDAR_LIB_VERSION "6.4.80")
-set(AKONADISEARCH_LIB_VERSION "6.4.80")
-set(KMIME_LIB_VERSION "6.4.80")
-set(AKONADI_LIB_VERSION "6.4.80")
-set(MIMETREEPARSER_LIB_VERSION "6.4.80")
-set(MAILCOMMON_LIB_VERSION "6.4.80")
-set(AKONADIMIME_LIB_VERSION "6.4.80")
-set(AKONADICONTACT_LIB_VERSION "6.4.80")
-set(KMIME_LIB_VERSION "6.4.80")
-set(MESSAGECOMPOSER_LIB_VERSION "6.4.80")
-set(KMBOX_LIB_VERSION "6.4.80")
-set(LIBKDEPIM_LIB_VERSION "6.4.80")
-set(PIMCOMMON_LIB_VERSION "6.4.80")
-set(KPIM_LIBKLEO_VERSION "6.4.80")
+set(AKONADI_CONTACT_VERSION "6.5.1")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
+set(MAILTRANSPORT_LIB_VERSION "6.5.1")
+set(CALENDARUTILS_LIB_VERSION "6.5.1")
+set(AKONADICALENDAR_LIB_VERSION "6.5.1")
+set(AKONADISEARCH_LIB_VERSION "6.5.1")
+set(KMIME_LIB_VERSION "6.5.1")
+set(AKONADI_LIB_VERSION "6.5.1")
+set(MIMETREEPARSER_LIB_VERSION "6.5.1")
+set(MAILCOMMON_LIB_VERSION "6.5.1")
+set(AKONADIMIME_LIB_VERSION "6.5.1")
+set(AKONADICONTACT_LIB_VERSION "6.5.1")
+set(KMIME_LIB_VERSION "6.5.1")
+set(MESSAGECOMPOSER_LIB_VERSION "6.5.1")
+set(KMBOX_LIB_VERSION "6.5.1")
+set(LIBKDEPIM_LIB_VERSION "6.5.1")
+set(PIMCOMMON_LIB_VERSION "6.5.1")
+set(KPIM_LIBKLEO_VERSION "6.5.1")
 
 
 ################# set KDE specific information #################

=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2020 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

ecm_install_icons(
    ICONS
        128-apps-org.kde.merkuro.calendar.png
        128-apps-org.kde.merkuro.contact.png
        128-apps-org.kde.merkuro.mail.png
        256-apps-org.kde.merkuro.calendar.png
        256-apps-org.kde.merkuro.contact.png
        256-apps-org.kde.merkuro.mail.png
        48-apps-org.kde.merkuro.calendar.png
        48-apps-org.kde.merkuro.contact.png
        48-apps-org.kde.merkuro.mail.png
        32-apps-org.kde.merkuro.calendar.png
        32-apps-org.kde.merkuro.mail.png
        24-apps-org.kde.merkuro.calendar.png
        24-apps-org.kde.merkuro.mail.png
        16-apps-org.kde.merkuro.calendar.png
        16-apps-org.kde.merkuro.mail.png
    DESTINATION
        ${KDE_INSTALL_ICONDIR}
    THEME
        hicolor
)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(contacts)
add_subdirectory(mail)
add_subdirectory(calendar)
add_subdirectory(components)
if (MERKURO_FLATPAK)
    add_subdirectory(launcher)
    set(DESKTOP_EXEC "merkurolauncher")
    set(NO_DISPLAY "false")
else()
    set(DESKTOP_EXEC "merkuro-calendar")
    set(NO_DISPLAY "true")
endif()

configure_file(org.kde.merkuro.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.merkuro.desktop)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.merkuro.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.merkuro.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/contacts/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

### Contact QML Plugin lib

add_library(merkuro_contact SHARED)

ecm_qt_declare_logging_category(merkuro_contact_SRCS
    HEADER merkuro_contact_debug.h
    IDENTIFIER MERKURO_CONTACT_LOG
    CATEGORY_NAME org.kde.merkuro.contact
    DESCRIPTION "merkuro contact"
    EXPORT MERKURO
)

target_link_libraries(merkuro_contact PUBLIC
    Qt::Qml
    KF6::XmlGui
    KF6::Contacts
    KF6::ConfigGui
    KPim6::AkonadiWidgets
    KPim6::AkonadiContactCore
    MerkuroComponents
    Gpgmepp
    QGpgmeQt6
    KPim6::Libkleo
)

kconfig_target_kcfg_file(merkuro_contact
    FILE contactconfig.kcfg
    CLASS_NAME ContactConfig
    MUTATORS
    GENERATE_PROPERTIES
    GENERATE_MOC
    DEFAULT_VALUE_GETTERS
    PARENT_IN_CONSTRUCTOR
    SINGLETON
    QML_REGISTRATION
)

ecm_generate_export_header(merkuro_contact
    VERSION ${RELEASE_SERVICE_VERSION}
    BASE_NAME MERKURO_CONTACT
)

set_target_properties(merkuro_contact PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_sources(merkuro_contact PRIVATE
    contactapplication.cpp
    contactapplication.h
    addresseewrapper.cpp
    addresseewrapper.h
    addressmodel.cpp
    addressmodel.h
    phonemodel.h
    phonemodel.cpp
    imppmodel.h
    imppmodel.cpp
    emailmodel.h
    emailmodel.cpp
    globalcontactmodel.cpp
    globalcontactmodel.h
    certificatesmodel.cpp
    certificatesmodel.h
    contactactions.cpp
    contactactions.h
    contactmanager.h
    contactmanager.cpp
    contactcollectionmodel.cpp
    contactcollectionmodel.h
    contacteditorbackend.h
    contacteditorbackend.cpp
    contactgroupeditor.h
    contactgroupeditor.cpp
    contactgroupwrapper.h
    contactgroupwrapper.cpp
    contactgroupmodel.h
    contactgroupmodel.cpp
    contactmetadata.cpp
    contactmetadata.h
    contactsmodel.cpp
    contactsmodel.h
    attributes/contactmetadataattribute_p.h
    attributes/contactmetadataattribute.cpp
    attributes/attributeregistrar.cpp
    ${merkuro_contact_SRCS}
)

ecm_add_qml_module(merkuro_contact
    URI "org.kde.merkuro.contact"
    GENERATE_PLUGIN_SOURCE
    RESOURCES
        resources/fallbackBackground.png
)

ecm_target_qml_sources(merkuro_contact SOURCES
    qml/ContactChooserPage.qml
    qml/AddressBookCollectionHandler.qml
    qml/ContactView.qml
    qml/MenuBar.qml
    qml/Sidebar.qml
    qml/GlobalMenuBar.qml
    qml/ContactListItem.qml
    qml/Main.qml
    qml/Settings.qml
)

ecm_target_qml_sources(merkuro_contact
    PRIVATE PATH private SOURCES
    qml/private/ContactPage.qml
    qml/private/ContactGroupPage.qml
    qml/private/ContactsPage.qml
    qml/private/Header.qml
    qml/private/PhoneNumberDialog.qml
    qml/private/QrCodePage.qml
    qml/private/AddressBookMenu.qml
    qml/private/DeleteContactDialog.qml
)

ecm_target_qml_sources(merkuro_contact
    PRIVATE PATH private/contact_editor SOURCES
    qml/private/contact_editor/AddressBookEditorCard.qml
    qml/private/contact_editor/BusinessEditorCard.qml
    qml/private/contact_editor/ContactEditorPage.qml
    qml/private/contact_editor/ContactGroupEditorPage.qml
    qml/private/contact_editor/EmailEditorCard.qml
    qml/private/contact_editor/PersonalInfoEditorCard.qml
    qml/private/contact_editor/PhoneEditorCard.qml
    qml/private/contact_editor/PhotoEditor.qml
    qml/private/contact_editor/InstantMessengerEditorCard.qml
)

ecm_qt_install_logging_categories(
    EXPORT MERKURO
    FILE merkuro.contact.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

add_subdirectory(applet)

ecm_finalize_qml_module(merkuro_contact
    DESTINATION ${KDE_INSTALL_QMLDIR})

set_target_properties(merkuro_contact PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   6
    EXPORT_NAME "merkuro_contact_plugin"
)

install(TARGETS merkuro_contact EXPORT MerkuroComponents ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

#### Binary

add_executable(merkuro-contact main.cpp)
target_link_libraries(merkuro-contact
    PRIVATE
        Qt::Widgets
        Qt::Quick
        Qt::QuickControls2
        KF6::I18n
        KF6::CoreAddons
        KF6::DBusAddons
        KF6::WindowSystem
        KF6::ConfigGui
        KF6::Crash
        KF6::IconThemes
        KF6::ConfigWidgets
        KPim6::Libkleo
)
target_link_libraries(merkuro-contact PUBLIC
   KF6::I18nQml
)

install(TARGETS merkuro-contact ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.merkuro.contact.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.merkuro.contact.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
merkuro (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:13:26 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
-               libakonadi-dev (>= 4:25.08.0~),
-               libakonadicalendar-dev (>= 4:25.08.0~),
-               libakonadicontact-dev (>= 4:25.08.0~),
-               libakonadimime-dev (>= 4:25.08.0~),
-               libakonadisearch-dev (>= 4:25.08.0~),
+               libakonadi-dev (>= 4:25.08.1~),
+               libakonadicalendar-dev (>= 4:25.08.1~),
+               libakonadicontact-dev (>= 4:25.08.1~),
+               libakonadimime-dev (>= 4:25.08.1~),
+               libakonadisearch-dev (>= 4:25.08.1~),
                libgpgme-dev,
                libgpgmepp-dev,
-               libkcalendarutils-dev (>= 4:25.08.0~),
-               libkdepim-dev (>= 4:25.08.0~),
+               libkcalendarutils-dev (>= 4:25.08.1~),
+               libkdepim-dev (>= 4:25.08.1~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -35,17 +35,17 @@
                libkf6qqc2desktopstyle-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.0~),
+               libkidentitymanagement-dev (>= 25.08.1~),
                libkirigami-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.08.0~),
-               libkmailtransport-dev (>= 25.08.0~),
-               libkmbox-dev (>= 25.08.0~),
-               libkmime-dev (>= 25.08.0~),
-               libmailcommon-dev (>= 4:25.08.0~),
-               libmimetreeparser-dev (>= 25.08.0~),
-               libpimcommon-dev (>= 4:25.08.0~),
+               libkleo-dev (>= 4:25.08.1~),
+               libkmailtransport-dev (>= 25.08.1~),
+               libkmbox-dev (>= 25.08.1~),
+               libkmime-dev (>= 25.08.1~),
+               libmailcommon-dev (>= 4:25.08.1~),
+               libmimetreeparser-dev (>= 25.08.1~),
+               libpimcommon-dev (>= 4:25.08.1~),
                libplasma-dev,
-               messagelib-dev (>= 4:25.08.0~),
+               messagelib-dev (>= 4:25.08.1~),
                qml6-module-qtlocation,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),

## merkuro 25.08.1+p24.04+vstable+git20251001.0621

=== debian/changelog ===
merkuro (25.08.1+p24.04+vstable+git20251001.0621-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:21:30 +0000

merkuro (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:59:26 +0000

merkuro (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:19:51 +0000

merkuro (25.04.3-1neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 18 Jul 2025 01:26:45 +0000

merkuro (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:55:10 +0000

merkuro (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:45:56 +0000

merkuro (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:19:42 +0000
 

merkuro (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:38:05 +0000

merkuro (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:10:45 +0000

merkuro (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:27:11 +0000

merkuro (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:36:46 +0000

merkuro (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:13:29 +0000

merkuro (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:37:35 +0000

merkuro (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 23:02:24 +0000

merkuro (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:34:22 +0000

merkuro (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 20:12:06 +0000

merkuro (24.05.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 20:12:06 +0000

merkuro (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Apr 2024 20:12:07 +0000

merkuro (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Mar 2024 20:12:06 +0000

merkuro (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 20:12:07 +0000

merkuro (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Feb 2024 20:12:08 +0000

merkuro (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:12:09 +0000

merkuro (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 04:03:44 +0000

merkuro (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:04:44 +0000

merkuro (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 04:03:36 +0000

merkuro (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 19 Aug 2023 04:03:33 +0000

merkuro (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:13:50 +0000

## merkuro 25.08.1+p24.04+vstable+git20251005.1108

=== debian/changelog ===
merkuro (25.08.1+p24.04+vstable+git20251005.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 11:08:31 +0000

## merkuro 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(merkuro VERSION ${RELEASE_SERVICE_VERSION})
@@ -15,24 +15,24 @@
 set(QT_REQUIRED_VERSION "6.8.0")
 set(KF_MIN_VERSION "6.14.0")
 
-set(AKONADI_CONTACT_VERSION "6.5.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
-set(MAILTRANSPORT_LIB_VERSION "6.5.1")
-set(CALENDARUTILS_LIB_VERSION "6.5.1")
-set(AKONADICALENDAR_LIB_VERSION "6.5.1")
-set(AKONADISEARCH_LIB_VERSION "6.5.1")
-set(KMIME_LIB_VERSION "6.5.1")
-set(AKONADI_LIB_VERSION "6.5.1")
-set(MIMETREEPARSER_LIB_VERSION "6.5.1")
-set(MAILCOMMON_LIB_VERSION "6.5.1")
-set(AKONADIMIME_LIB_VERSION "6.5.1")
-set(AKONADICONTACT_LIB_VERSION "6.5.1")
-set(KMIME_LIB_VERSION "6.5.1")
-set(MESSAGECOMPOSER_LIB_VERSION "6.5.1")
-set(KMBOX_LIB_VERSION "6.5.1")
-set(LIBKDEPIM_LIB_VERSION "6.5.1")
-set(PIMCOMMON_LIB_VERSION "6.5.1")
-set(KPIM_LIBKLEO_VERSION "6.5.1")
+set(AKONADI_CONTACT_VERSION "6.5.2")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
+set(MAILTRANSPORT_LIB_VERSION "6.5.2")
+set(CALENDARUTILS_LIB_VERSION "6.5.2")
+set(AKONADICALENDAR_LIB_VERSION "6.5.2")
+set(AKONADISEARCH_LIB_VERSION "6.5.2")
+set(KMIME_LIB_VERSION "6.5.2")
+set(AKONADI_LIB_VERSION "6.5.2")
+set(MIMETREEPARSER_LIB_VERSION "6.5.2")
+set(MAILCOMMON_LIB_VERSION "6.5.2")
+set(AKONADIMIME_LIB_VERSION "6.5.2")
+set(AKONADICONTACT_LIB_VERSION "6.5.2")
+set(KMIME_LIB_VERSION "6.5.2")
+set(MESSAGECOMPOSER_LIB_VERSION "6.5.2")
+set(KMBOX_LIB_VERSION "6.5.2")
+set(LIBKDEPIM_LIB_VERSION "6.5.2")
+set(PIMCOMMON_LIB_VERSION "6.5.2")
+set(KPIM_LIBKLEO_VERSION "6.5.2")
 
 
 ################# set KDE specific information #################

=== src/launcher/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(merkurolauncher main.cpp helper.cpp helper.h)

qt_add_qml_module(merkurolauncher
    URI org.kde.merkuro
    QML_FILES
        Main.qml
    DEPENDENCIES
        QtQuick
        org.kde.kirigamiaddons.formcard
)

target_link_libraries(merkurolauncher PUBLIC
    Qt::Quick
    Qt::QuickControls2
    Qt::Widgets
    Qt::Svg
    KF6::I18n
    KF6::CoreAddons
    KF6::Crash
    KF6::KIOWidgets
)

target_link_libraries(merkurolauncher PRIVATE
        KF6::I18nQml
)

install(TARGETS merkurolauncher ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/contacts/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_test(emailmodeltest.cpp
    TEST_NAME emailmodeltest
    LINK_LIBRARIES merkuro_contact Qt::Test
    NAME_PREFIX "merkuro-contact-"
)

ecm_add_test(imppmodeltest.cpp
    TEST_NAME imppmodeltest
    LINK_LIBRARIES merkuro_contact Qt::Test
    NAME_PREFIX "merkuro-contact-"
)

ecm_add_test(addressmodeltest.cpp
    TEST_NAME addressmodeltest
    LINK_LIBRARIES merkuro_contact Qt::Test
    NAME_PREFIX "merkuro-contact-"
)

ecm_add_test(phonemodeltest.cpp
    TEST_NAME phonemodeltest
    LINK_LIBRARIES merkuro_contact Qt::Test
    NAME_PREFIX "merkuro-contact-"
)

=== debian/changelog ===
merkuro (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:57:47 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
-               libakonadi-dev (>= 4:25.08.1~),
-               libakonadicalendar-dev (>= 4:25.08.1~),
-               libakonadicontact-dev (>= 4:25.08.1~),
-               libakonadimime-dev (>= 4:25.08.1~),
-               libakonadisearch-dev (>= 4:25.08.1~),
+               libakonadi-dev (>= 4:25.08.2~),
+               libakonadicalendar-dev (>= 4:25.08.2~),
+               libakonadicontact-dev (>= 4:25.08.2~),
+               libakonadimime-dev (>= 4:25.08.2~),
+               libakonadisearch-dev (>= 4:25.08.2~),
                libgpgme-dev,
                libgpgmepp-dev,
-               libkcalendarutils-dev (>= 4:25.08.1~),
-               libkdepim-dev (>= 4:25.08.1~),
+               libkcalendarutils-dev (>= 4:25.08.2~),
+               libkdepim-dev (>= 4:25.08.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -35,17 +35,17 @@
                libkf6qqc2desktopstyle-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.1~),
+               libkidentitymanagement-dev (>= 25.08.2~),
                libkirigami-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.08.1~),
-               libkmailtransport-dev (>= 25.08.1~),
-               libkmbox-dev (>= 25.08.1~),
-               libkmime-dev (>= 25.08.1~),
-               libmailcommon-dev (>= 4:25.08.1~),
-               libmimetreeparser-dev (>= 25.08.1~),
-               libpimcommon-dev (>= 4:25.08.1~),
+               libkleo-dev (>= 4:25.08.2~),
+               libkmailtransport-dev (>= 25.08.2~),
+               libkmbox-dev (>= 25.08.2~),
+               libkmime-dev (>= 25.08.2~),
+               libmailcommon-dev (>= 4:25.08.2~),
+               libmimetreeparser-dev (>= 25.08.2~),
+               libpimcommon-dev (>= 4:25.08.2~),
                libplasma-dev,
-               messagelib-dev (>= 4:25.08.1~),
+               messagelib-dev (>= 4:25.08.2~),
                qml6-module-qtlocation,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),

## merkuro 25.08.2+p24.04+vstable+git20251015.2042

=== debian/changelog ===
merkuro (25.08.2+p24.04+vstable+git20251015.2042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:42:10 +0000

merkuro (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:27:04 +0000

## merkuro 25.08.2+p24.04+vstable+git20251019.0855

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,24 +15,24 @@
 set(QT_REQUIRED_VERSION "6.8.0")
 set(KF_MIN_VERSION "6.14.0")
 
-set(AKONADI_CONTACT_VERSION "6.5.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
-set(MAILTRANSPORT_LIB_VERSION "6.5.2")
-set(CALENDARUTILS_LIB_VERSION "6.5.2")
-set(AKONADICALENDAR_LIB_VERSION "6.5.2")
-set(AKONADISEARCH_LIB_VERSION "6.5.2")
-set(KMIME_LIB_VERSION "6.5.2")
-set(AKONADI_LIB_VERSION "6.5.2")
-set(MIMETREEPARSER_LIB_VERSION "6.5.2")
-set(MAILCOMMON_LIB_VERSION "6.5.2")
-set(AKONADIMIME_LIB_VERSION "6.5.2")
-set(AKONADICONTACT_LIB_VERSION "6.5.2")
-set(KMIME_LIB_VERSION "6.5.2")
-set(MESSAGECOMPOSER_LIB_VERSION "6.5.2")
-set(KMBOX_LIB_VERSION "6.5.2")
-set(LIBKDEPIM_LIB_VERSION "6.5.2")
-set(PIMCOMMON_LIB_VERSION "6.5.2")
-set(KPIM_LIBKLEO_VERSION "6.5.2")
+set(AKONADI_CONTACT_VERSION "6.5.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
+set(MAILTRANSPORT_LIB_VERSION "6.5.3")
+set(CALENDARUTILS_LIB_VERSION "6.5.3")
+set(AKONADICALENDAR_LIB_VERSION "6.5.3")
+set(AKONADISEARCH_LIB_VERSION "6.5.3")
+set(KMIME_LIB_VERSION "6.5.3")
+set(AKONADI_LIB_VERSION "6.5.3")
+set(MIMETREEPARSER_LIB_VERSION "6.5.3")
+set(MAILCOMMON_LIB_VERSION "6.5.3")
+set(AKONADIMIME_LIB_VERSION "6.5.3")
+set(AKONADICONTACT_LIB_VERSION "6.5.3")
+set(KMIME_LIB_VERSION "6.5.3")
+set(MESSAGECOMPOSER_LIB_VERSION "6.5.3")
+set(KMBOX_LIB_VERSION "6.5.3")
+set(LIBKDEPIM_LIB_VERSION "6.5.3")
+set(PIMCOMMON_LIB_VERSION "6.5.3")
+set(KPIM_LIBKLEO_VERSION "6.5.3")
 
 
 ################# set KDE specific information #################

=== debian/changelog ===
merkuro (25.08.2+p24.04+vstable+git20251019.0855-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:55:25 +0000

=== debian/control ===
Source: merkuro
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kf6-ktextaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-qqc2-desktop-style-dev,
               kpim6-akonadi-calendar-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-search-dev,
               kpim6-calendarsupport-dev,
               kpim6-eventviews-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmbox-dev,
               kpim6-kmime-dev,
               kpim6-mailcommon-dev,
               kpim6-messagelib-dev,
               kpim6-mimetreeparser-dev,
               kpim6-pimcommon-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libplasma-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-positioning-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/kde/merkuro
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/merkuro.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/merkuro
Maintainer: Neon CI <neon@kde.org>

Package: merkuro
Architecture: any
Depends: kf6-ksvg,
         kpim6-akonadi (>= 4:25.04.3-1~),
         kpim6-akonadi-calendar,
         kpim6-kdepim-runtime,
         libplasma6,
         qml6-module-org-kde-kidentitymanagement,
         qml6-module-org-kde-kirigami-addons-datetime,
         qml6-module-org-kde-kirigami-addons-delegates,
         qml6-module-org-kde-kirigami-addons-labs-mobileform,
         qml6-module-org-kde-kirigamiaddons,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-prison,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtlocation,
         qml6-module-qtpositioning,
         qml6-module-qtwebengine,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kalendar (<< 23.04.3+p22.04+tunstable+git20230718.0933-0)
Description: Calendar app
 Calendar application that allows you to manage your tasks and
 events. merkuro supports both local calendars as well as a multitude
 of online calendars: Nextcloud, Google® Calendar, Outlook®, Caldav,
 and many more.

Package: merkuro-dev
Architecture: any
Depends: merkuro (= ${binary:Version}), ${misc:Depends}
Breaks: merkuro (<< 24.12.2)
Replaces: merkuro (<< 24.12.2)
Description: Calendar app
 Calendar application that allows you to manage your tasks and
 events. merkuro supports both local calendars as well as a multitude
 of online calendars: Nextcloud, Google® Calendar, Outlook®, Caldav,
 and many more.
 .
 Contains development files for merkuro.

Package: kalendar
Depends: merkuro, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.
 .

## merkuro 25.08.2+p24.04+vstable+git20251031.1012

=== debian/changelog ===
merkuro (25.08.2+p24.04+vstable+git20251031.1012-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:12:18 +0000
